Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.runtime
Interface TransactionResourceRuntimeMBean

All Superinterfaces:
  DynamicMBean, weblogic.health.HealthFeedback, JTAStatisticsRuntimeMBean, MBeanRegistration, NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, weblogic.management.WebLogicMBean

public interface TransactionResourceRuntimeMBean
extends JTAStatisticsRuntimeMBean, weblogic.health.HealthFeedback

This interface represents runtime statistics for a transactional resource.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`weblogic.health.HealthState` | `getHealthState()` The health state of the Resource.
`String` | `getResourceName()` The resource name.
`long` | `getTransactionHeuristicCommitTotalCount()` The number of transactions for which this resource has returned a heuristic commit decision.
`long` | `getTransactionHeuristicHazardTotalCount()` The number of transactions for which this resource has reported a heuristic hazard decision.
`long` | `getTransactionHeuristicMixedTotalCount()` The number of transactions for which this resource has reported a heuristic mixed decision.
`long` | `getTransactionHeuristicRollbackTotalCount()` The number of transactions for which this resource has returned a heuristic rollback decision.

Methods inherited from interface weblogic.management.runtime.JTAStatisticsRuntimeMBean
`getTransactionCommittedTotalCount, getTransactionHeuristicsTotalCount, getTransactionRolledBackTotalCount, getTransactionTotalCount`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getHealthState

    public weblogic.health.HealthState getHealthState()

  The health state of the Resource.

  Specified by:
    `getHealthState` in interface `weblogic.health.HealthFeedback`
  Returns:
    The healthState value

### getResourceName

    public String getResourceName()

  The resource name.

  Returns:
    The resourceName value

### getTransactionHeuristicCommitTotalCount

    public long getTransactionHeuristicCommitTotalCount()

  The number of transactions for which this resource has returned a heuristic commit decision.

  Returns:
    The transactionHeuristicCommitTotalCount value

### getTransactionHeuristicHazardTotalCount

    public long getTransactionHeuristicHazardTotalCount()

  The number of transactions for which this resource has reported a heuristic hazard decision.

  Returns:
    The transactionHeuristicHazardTotalCount value

### getTransactionHeuristicMixedTotalCount

    public long getTransactionHeuristicMixedTotalCount()

  The number of transactions for which this resource has reported a heuristic mixed decision.

  Returns:
    The transactionHeuristicMixedTotalCount value

### getTransactionHeuristicRollbackTotalCount

    public long getTransactionHeuristicRollbackTotalCount()

  The number of transactions for which this resource has returned a heuristic rollback decision.

  Returns:
    The transactionHeuristicRollbackTotalCount value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD